{
  "name": "@govbr-ds/core",
  "version": "3.1.0",
  "description": "Padrão Digital de Governo",
  "keywords": [
    "core",
    "govbr",
    "design",
    "system"
  ],
  "homepage": "https://www.gov.br/ds/",
  "bugs": "https://gitlab.com/govbr-ds/govbr-ds-dev/govbr-ds-dev-core/-/issues",
  "repository": "gitlab:govbr-ds/govbr-ds-dev/govbr-ds-dev-core",
  "license": "MIT",
  "author": "SERPRO (http://serpro.gov.br/)",
  "files": [
    "dist",
    "src/**/*.scss"
  ],
  "main": "dist/core.js",
  "scripts": {
    "build": "run-s build:webpack:both",
    "build:webpack:analyze-bundle": "run-s build:webpack:dev start-live-server",
    "build:webpack:both": "run-s clean:dist build:webpack:dev:no-clean build:webpack:prod:no-clean",
    "build:webpack:both:progress": "run-s clean:dist 'build:webpack:dev:no-clean -- --progress' 'build:webpack:prod:no-clean -- --progress'",
    "build:webpack:dev": "cross-env NODE_ENV=development webpack --mode development --progress",
    "build:webpack:dev:no-clean": "cross-env NODE_ENV=development webpack --mode development --env CLEAN=false",
    "build:webpack:dev:watch": "cross-env NODE_ENV=development webpack --mode development --env CLEAN=false --watch ",
    "build:webpack:prod": "cross-env NODE_ENV=production webpack --mode production",
    "build:webpack:prod:no-clean": "cross-env NODE_ENV=production webpack --mode production --env CLEAN=false",
    "clean:dist": "rimraf dist",
    "commit": "git-cz",
    "commit-assets": "git add . && git commit -m 'chore: cria e commita os assets da v'$npm_package_version''",
    "commit-release": "npm publish && npm run create:assets && git add . && git commit -m 'chore: cria e commita os assets da v'$npm_package_version'' ",
    "create:assets": "node ./createassets.js",
    "create:build": "node ./core.util.js",
    "dev": "npm-run-all --parallel  build:webpack:dev:watch start-live-server",
    "docs:sass": "sassdoc src/ --config .sassdocrc.yaml",
    "docs:js": "jsdoc -c jsdoc.json",
    "lint": "run-s lint:*",
    "lint:html": "html-validate dist/**/*.html",
    "lint:js": "eslint -c .eslintrc.yaml --fix src/**/*.js",
    "lint:styles": "stylelint src/**/*.scss --fix",
    "live-server": "live-server",
    "minify:img": "node minify-img.js",
    "prepare": "husky install",
    "publish:design-review": "bash designreview.sh",
    "pushtags": "git push origin $(git describe --tags $(git rev-list --tags --max-count=1))",
    "release": "standard-version",
    "release:patch": "standard-version  --release-as patch --prerelease rc",
    "release:rc": "standard-version  --prerelease rc",
    "start": "cross-env NODE_ENV=development webpack server --mode development --progress --port 9000 --host 0.0.0.0    ",
    "start-live-server": "live-server ./dist --port=9000 --host 0.0.0.0",
    "webpack": "webpack",
    "webpack-dev-server": "webpack-dev-server"
  },
  "lint-staged": {
    "*.{css,scss}": "stylelint --fix"
  },
  "config": {
    "commitizen": {
      "path": "@commitlint/cz-commitlint"
    }
  },
  "dependencies": {
    "@popperjs/core": "^2.9.2",
    "flatpickr": "^4.6.9",
    "jsdoc": "^3.6.7"
  },
  "devDependencies": {
    "@babel/cli": "^7.14.5",
    "@babel/core": "^7.14.6",
    "@babel/eslint-parser": "^7.17.0",
    "@babel/plugin-transform-runtime": "^7.14.5",
    "@babel/preset-env": "^7.14.7",
    "@commitlint/cli": "^16.2.3",
    "@commitlint/config-conventional": "^16.2.1",
    "@commitlint/cz-commitlint": "^16.2.3",
    "@commitlint/format": "^16.2.1",
    "@fiverr/afterbuild-webpack-plugin": "^1.0.0",
    "acorn": "^8.5.0",
    "autoprefixer": "^10.3.1",
    "babel-loader": "^8.2.4",
    "babel-register": "^6.26.0",
    "chalk": "^5.0.1",
    "clean-webpack-plugin": "^3.0.0",
    "commitizen": "^4.2.4",
    "core-js": "^3.15.2",
    "cross-env": "^7.0.3",
    "css-loader": "^5.2.7",
    "css-minimizer-webpack-plugin": "^3.0.2",
    "dir-archiver": "^1.2.0",
    "eslint": "^8.11.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-html": "^6.1.2",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^4.0.0",
    "fibers": "^5.0.0",
    "file-loader": "^6.2.0",
    "focus-visible": "^5.2.0",
    "html-validate": "^6.6.1",
    "html-webpack-plugin": "^5.3.2",
    "husky": "^7.0.1",
    "lint-staged": "^12.3.7",
    "live-server": "^1.2.1",
    "loader-utils": "^2.0.0",
    "mini-css-extract-plugin": "^1.6.0",
    "node-get": "^0.1.0",
    "npm-run-all": "4.1.5",
    "prettier": "^2.6.1",
    "pug": "^3.0.2",
    "regenerator-runtime": "^0.13.7",
    "rimraf": "^3.0.2",
    "sass": "^1.55.0",
    "sass-loader": "^10.1.1",
    "sassdoc": "^2.7.3",
    "schema-utils": "^2.7.0",
    "shelljs": "^0.8.4",
    "standard-version": "^9.3.0",
    "stylelint": "^14.6.1",
    "stylelint-config-prettier": "^9.0.3",
    "stylelint-config-sass-guidelines": "^9.0.1",
    "stylelint-config-standard": "^25.0.0",
    "stylelint-scss": "^4.2.0",
    "terser-webpack-plugin": "^5.1.4",
    "webpack": "^5.48.0",
    "webpack-bundle-analyzer": "^4.4.0",
    "webpack-cli": "^4.5.0",
    "webpack-dev-server": "^3.11.2",
    "wget-improved": "^3.2.1",
    "yesno": "^0.3.1"
  },
  "engines": {
    "node": ">= 14.15.4",
    "npm": ">= 6.14.11",
    "yarn": ">= 1.22.5"
  },
  "engineStrict": true
}